zolllo 2020-12-25 17:43:17+00:00

1. custom.fmt 1.24:
   - Update PCRE to 6.7
   - 0000591: Bug in PCRE-regexes processing in 'FormatX'.

drkns 2020-10-25 18:28:12+00:00

1. zip.fmt: zip64 support (from https://forum.farmanager.com/viewtopic.php?p=162746#p162746).

yjh 2020-04-11 00:33:11+03:00 - build 200

1. В автомате выбора больших/маленьких букв для дефолтного расширения не учитываем путь (только имя архива).

drkns 2016-09-11 02:42:27+02:00 - build 199

1. Выравниваем отдельные структуры прагмами, а не всё подряд опцией компилятора - так оно правильнее и надёжнее.

2. из *.vcxproj убрана зависимость от libcrt.

w17 2016-09-10 23:28:39+03:00 - build 198

1. StructMemberAlignment == 1 for all *.fmt

drkns 2016-05-17 12:54:55+02:00 - build 197

1. Используем FCTL_GETUSERSCREEN для корректной работы в Far 3.

2. SetStdHandle вызывалась раньше, чем нужно, что ломало вывод сообщений.

svs 2014-05-14 20:03:02+04:00 - build 

1. Add arcspa.lng

svs 2014-05-06 10:28:28+04:00 - build 

1. Mantis#0002655: TechInfo #71: MultiArc/TryIfNoOther
   Добавлен MultiArc.TryIfNoOther.reg

svs 2013-09-13 21:59:55+04:00 - build 196

1. rar.fmt. Отвяжем поиск unrar.dll в "Plugins\MultiArc\Formats", Multiarc не обязан быть в Plugins.

drkns 2013-09-05 20:27:00+02:00 - build 195

1. rar.fmt v5.0.

t-rex 2013-05-14 23:54:14+02:00 - build 194

1. PluginGUID=C5508DDB-5175-4736-9A10-C8F6EED7B32F for Far 3.0.3410

w17 2013-05-07 20:36:07+04:00 - build 193

1. OPEN_SHORTCUT added.

svs 2010-01-11 21:27:39+03:00 - build 192

1. Mantis#0001241: Multiarc - Ошибка при работе с архивами RAR с зашифрованным(запароленым) заголовком

t-rex 2010-01-08 14:55:21+02:00 - zip 1.32

From Oleg Hiderman:

1. zip.fmt: Mantis#797: Большие архивы ZIP MultiArc (Zip.fmt) не открывает
   Подправлена поддержка больших >4Gb файлов и добавлена поддержка zip64 descriptors.

t-rex 2009-11-01 02:55:11+02:00 - build 191

1. Mantis#1110: В панелях открытых с помощью custom.fmt тормозит перемещение курсора.
   Оптимизация GetOpenPluginInfo.

t-rex 2009-10-26 16:49:33+02:00 - build 190

1. Добавил GetMinFarVersion.

t-rex 2009-10-25 18:53:57+02:00 - build 189

1. Mantis#666: Предлагаемое по умолчанию имя архива в MultiArc.
   Если в архив добавляется только один файл, и он помечен, то предложим
   имя папки как имя архива а не имя файл. Если файл не помечен то как и раньше
   предложим имя файла как имя архива.

2. Пару мелочей по дороге.

t-rex 2009-10-20 20:31:34+02:00

1. Mantis#1126: Несоответствие регистра в названиях файлов.

svs 2009-08-26 17:30:22+03:00

1. lzh.fmt build 1.28
   а) Некорректно конструировалось имя файлового объекта в архиве.
   б) добавлено 3 новых типа для "Host OS" (Java, Win 95, Win NT)

2. multiarc. build 188
   а) добавлена нормализация пути файлового объекта, что позволяет "получить доступ" к "кривым" именам, например:
      к такому файлу не подобраться: "usr/local/www/cached/cached.net/dirig/../../dirigible/foo.txt"
      превращаем имя в "usr\local\www\cached\dirigible\foo.txt"
   б) значение PluginPanelItem::NumberOfLinks выставим в 1, как у реальной FS.

svs 2009-08-26 12:06:09+03:00

1. rar.fmt build 1.29.
   с учетом выхода unrar 3.90 x64 соответственно скорректируем модуль.
   для x86 используется unrar.dll
   для x64 используется unrar64.dll

svs 2009-08-10 16:59:13+03:00

0. Всем известно, что TAR-архивы могут содержать символические связи. Например:
   lrwxrwxrwx joerg/bs          0 1998-07-18 20:29 cdrecord-1.6.1/DEFAULTS/Defaults.dgux3 -> Defaults.dgux
   lrwsrwsrwx joerg/bs          0 1998-07-18 20:31 cdrecord-1.6.1/mkisofs-1.12b4/cd_misc.c -> ../cdrecord/cd_misc.c
   Этот патч как раз про них :-)
   В TAR-формате нет понятия "ненулевой размер файлов ссылок". Если это ссылка, то у нее размер = 0 и выставлен 
   соответствующий mode (SYMTYPE) + есть информация о самой ссылке (поле linkname). 
   В такой записи кроме заголовка больше ничего нет (данные/тело файл)

1. multiarc. build 187
   а) Для плагинов второго уровня MA в структуре FSF предоставляет функции malloc и free:
       Info.FSF::Reserved[0] - malloc();
          void (__cdecl *MAFREE)(void *block);
       Info.FSF::Reserved[1] - free()
          void * (__cdecl *MAMALLOC)(size_t size);
   
   б) Поле PluginPanelItem::UserData теперь содержит структуру ArcItemUserData (раньше - только префикс)
      содержимое структуры используется при формировании имени файлового объекта - для симлинков это означает, что ФАРу будет подсунут "этот файл", а то, куда ссылается симлинк.
      Если симлинк ссылается на "вне файла", то, естественно, внешние tar.exe/bsdtar.exe/etc. обматеряться.

   в) на счет кода в arcput.cpp не уверен, пока пометим нужное место 

2. targz. build 33
   а) Для "симлинков" выставляется соответствующий атрибут (FILE_ATTRIBUTE_REPARSE_POINT + IO_REPARSE_TAG_SYMLINK).
      Здесь есть трабла - при вызове диалога атрибутов (Ctrl-A) увидим инфу аля "Symlink "(data not available)"".
      Ctrl-A "берет" инфу о линках от реальной FS. Про файловые объекты на плагиновой панели "мы знаем" только то, 
      что плагин отдал в поле PluginPanelItem::FindData.dwFileAttributes. В API пока отсутствуют некоторые механизмы, 
      которые позволили бы что-то такое сделать (разве что MultiArc сам "ответит" на Ctrl-A)

   б) В поле PluginPanelItem::UserData записывается строка, содержащая указание на местоположение оригинала
      далее MA "переносит" эту строку в ArcItemUserData

   в) Если запись == LNKTYPE, то UserData начнем с '/' (т.к. ссылка идет от корня архива, в отличии от симлинка), а MA сам разберется :-)
      Если ЭТО (такое поведение) отвалилось/поломалось/etc. тогда нужно смотреть дальше...

      Два места в arccmd.cpp помечены как "CHECK for BUGS!!"

3. Возможно, что работу с полем PluginPanelItem::UserData нужно переделать (для "второсортных" плагинов):
   
   а) в API внести ArcItemUserData
   б) плагины второго уровня должны будут заполнять (при необходимости) эту структуру

   Обсуждаемо. Сейчас пока targz юзает

zeroes 2009-05-24 22:52:30+02:00

1. custom: секции rpm, cpio и deb фикс чтобы понимало листинг 7-zip 9.0x версий.

zeroes 2009-05-24 22:07:33+02:00

1. custom: секция 7z, фикс чтобы понимало листинг 9.0x версий.

drkns 2009-05-22 09:18:42+02:00

1. custom: секции 7z, rpm, cpio и deb настроены на 7-zip 4.65 и выше.

svs 2009-04-10 18:58:50+03:00

1. Удалил лишние файлы из arc.doc

2. rar 1.28: RAR.FMT теперь конвертит имя файла из Unicode в OEM, если есть Unicode-имя.
   Так же, модуль понимает, что имя файла в utf8 (в этом случае происходит перекодировка имени файла utf8->unicode->oem).

3. custom 1.23: custom.cpp - не понимает большие размеры

t-rex 2009-03-07 18:16:18+02:00 - build 186

1. Mantis#696: Некорректная проверка на валидность MsgID в x64.

drkns 2009-01-19 10:26:59+02:00 - custom 1.22

1. custom.ini.user -> custom_user.ini

drkns 2009-01-18 13:16:26+02:00 - custom 1.21

1. Однако, достало терять свой custom.ini при обновлениях плагина.
   Теперь custom.fmt "знает" также о файле custom.ini.user, и если оный присутствует,
   то указанные в нём параметры дополняют и заменяют указанные в custom.ini.

t-rex 2009-01-02 14:39:37+02:00 - zip 1.31

1. Mantis#692: нельзя войти в архив ZIP.
   Неправильная проверка версии.

t-rex 2008-12-23 17:20:29+02:00

1. Более правильное создание папок в vc мэйках, нужно как минимум для nightly.

drkns 2008-09-09 08:02:13+02:00 - rar 1.27

1. Mantis#0000606: fail to open RAR archive that uses 'encrypt file names' option
   
   Если rar.fmt хочет для работы unrar.dll, но найти её не смог - так и сообщим,
   дабы не вводить пользователя в заблуждение рассказами про "unexpected end of archive".

t-rex 2008-06-09 17:28:01+02:00 - zip 1.30

from DiRTy_GaRRy (ну и я маленько перелопатил щоб сильно по 9x не било :)
1. Mantis#549: Zip.fmt не поддерживает zip архивы размером более 2Гб 

t-rex 2008-06-08 05:41:25+02:00 - build 185

1. remove gcc 4.3.0 warnings, 1 left

t-rex 2008-03-24 00:04:02+02:00 - build 184

1. Mantis#137: Некорректный сброс настроек.

t-rex 2008-03-08 13:32:08+02:00

1. libpcre не собирался в дебаге, отключил у него дебаг вообще так как не нужен он нам.

yjh 2007-11-13 00:26:54+03:00

1. Унифицирована работа с ArraySize из crt.hpp


yjh 2007-11-12 04:54:34+03:00

1. Адаптация makefile_vc к новым makefile_all_vc/makefile_vc_def_inc


yjh 2007-11-12 03:08:28+03:00

1. В связи с расширением CRT окончательно убрана зависимость от libcmt.lib

t-rex 2007-11-11 22:03:18+02:00

1. Далой Warnings.

yjh 2007-11-11 17:27:57+03:00

1. makefile_vc собирает всё (как с nmake, так и с borland make)


svs 2007-08-14 15:41:23+03:00 - ace 1.16

1. ace.fmt молча валит ФАР, если архив битый.
   (переполнение, выход за допустимые границы при сохранении имени файла)

t-rex 2007-07-19 22:26:22+02:00 - zip 1.28

1. Добавил в zip.cpp опознавание новых методов компрессии.


t-rex 2007-02-07 17:44:46+02:00 - 183

1. Ужасные баги с историей в x64.


t-rex 2006-12-11 02:51:28+02:00 - build 182

1. Сборка для x64 + мэйк для VC для x86 и x64.

2. Убрал мэйки для BCC.

3. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.
